Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85030 - Don't allow usernames <=2 characters.
Summary: Don't allow usernames <=2 characters.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Stable
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 23:29 UTC by Chris Kloiber
Modified: 2008-02-13 20:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-13 20:11:10 UTC


Attachments (Terms of Use)

Description Chris Kloiber 2003-02-24 23:29:40 UTC
rhn_register as shipped in Advanced Server 2.1 seems to have a username length
lower limit of 3 characters, but the RHN website (and probably www.redhat.com as
well) allow usernames with fewer characters. This results in a user who has
entitlements for Advanced Server but can't create system profiles. 

Attempts to use activation keys to work around the problem using rhnreg_ks also
fail with the error:

"too many servers registered using this registration token"

Even though the key was created with no usage limit, and no systems are
currently registered.

Comment 1 Chip Turner 2003-03-03 16:48:59 UTC
The RHN website will not let you create users with usernames of fewer than 5
characters.  Where are you seeing this?  are you sure you didn't create the
account on www?  please retry creating an account with fewer characters on
rhn.redhat.com.

Comment 2 Chris Kloiber 2003-03-03 19:17:57 UTC
Perhaps the current website code does not allow the creation of usernames of
less than 5 characters. How does it (and rhn_register) handle *existing* short
usernames? That could mean this bug should get reassigned to either the backend
of RHN or to the rhn_register client. The user who had this problem has the
username of 'p2'. You can log into RHN with that account, but you cannot
register a system to that account however.

Comment 3 Bill C. Riemers 2008-02-13 20:11:10 UTC
Since nobody has reported this type of problem since 2003, and none of the new
accounts created since have been less than 5 characters, I am closing this bug
as WONTFIX.  If someone does have an existing username with less than 5
characters, we should probably migrate them to a new username.


Note You need to log in before you can comment on or make changes to this bug.